extractr docs
Spotify

Search the catalog

GET
/spotify/search

Search tracks, artists, albums or playlists by free-text query.

Costs 1 credit per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

q*string
Length1 <= length
type?string
Default"track"

Value in

  • "track"
  • "artist"
  • "album"
  • "playlist"
limit?integer
Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spotify/search?q=midnight+lights"
{  "query": "string",  "type": "string",  "total": 412,  "results": [    {      "id": "string",      "name": "string",      "type": "string",      "artist": "string",      "popularity": 0,      "url": "http://example.com"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}